package com.zjrs.zwnw.rlzysc.entity;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.zjrs.zwnw.rlzysc.dto.CxtjDwtjcxDTO;
import com.zjrs.zwnw.rlzysc.dto.CxtjJlyllscxDTO;
import com.zjrs.zwnw.rlzysc.dto.CxtjQueryDTO;
import com.zjrs.zwnw.rlzysc.dto.TjdwQueryDTO;
import com.zjrs.zwnw.rlzysc.po.VRsRlzyQztjPO;

import java.util.List;
import java.util.Map;

@Mapper
public interface VRsRlzyQztjMapper extends BaseMapper<VRsRlzyQztjPO> {
    public void saveQzxxTjxx(@Param("list") List<VRsRlzyQztjPO> list);
    public Page<Map<String,Object>> getTjdw(Page<Map<String,Object>> page, @Param("dto") TjdwQueryDTO dto);

    public Page<Map<String,Object>> dwtjcxList(Page<Map<String, Object>> page, @Param("dto") CxtjQueryDTO dto);

    public List<CxtjDwtjcxDTO> exprotDwtjcxList(@Param("dto") CxtjQueryDTO dto);

    public Page<Map<String,Object>> jlyllsList(Page<Map<String, Object>> page, @Param("dto") CxtjQueryDTO dto);

    List<CxtjJlyllscxDTO> exprotjlyllsList(@Param("dto") CxtjQueryDTO dto);
}
